﻿    
 

#stty_orig=`stty -g`
#stty -echo

# -------------------------------------------------
# Location of sqlplus utility (change if necessary)
# -------------------------------------------------

PATH=$PATH:$ORACLE_HOME/bin

if [ -e $ORACLE_HOME/bin/sqlplus ]; then
echo Please update this script and set the variable sqlplusexe to the location of the Oracle sqlplus.exe utility.
pause
exit
fi



# -------------------------------------------------
# EAM database credentials (change if necessary)
# -------------------------------------------------

DBUSERNAME=NOTSET
DBPASSWORD=NOTSET
DBHOST=NOTSET

if [ "$DBUSERNAME" == "NOTSET" ]; then
echo Please update this script and set the DBUSERNAME to the Oracle user name for Infor EAM.
exit
fi

if [ "$DBPASSWORD" == "NOTSET" ]; then
echo Please update this script and set the DBPASSWORD to the password for the Oracle Infor EAM user.
exit
fi

if [ "$DBHOST" == "NOTSET" ]; then
echo Please update this script and set the DBHOST to the alias for Infor EAM.
exit
fi

# -------------------------------------------------
# Language code needed for R5BOILERTEXTS.BOT_LANG (e.g. EN)
# -------------------------------------------------
LANGUAGECODE=NOTSET

if [ "$LANGUAGECODE" == "NOTSET" ]; then
echo Please update this script and set the languagecode variable to the appropriate language code (e.g. EN)
exit
fi



echo ----------------------------------
echo Deploying CustomDataSpies/BSAUTH_HDR.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/BSAUTH_HDR.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/BSDEVS.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/BSDEVS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/BSGROU_SSC.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/BSGROU_SSC.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/BSUSER_UOG.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/BSUSER_UOG.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVFLCC.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVFLCC.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVFLPERS.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVFLPERS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVIRACT.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVIRACT.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVIREVNT.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVIREVNT.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVIRMATL.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVIRMATL.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVIROBJ.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVIROBJ.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVISSUEPICKLIST.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVISSUEPICKLIST.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVMANUPART.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVMANUPART.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVPARTRETURNWO.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVPARTRETURNWO.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVRECPTPARTS.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVRECPTPARTS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVREFNUM_RETN.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVREFNUM_RETN.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVRETURNREASON.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVRETURNREASON.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/LVSTOSACTREQ.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/LVSTOSACTREQ.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSBINL.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSBINL.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSIUSS.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSIUSS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSIUSS_TRL.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSIUSS_TRL.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSPART.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSPART.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSPART_BIS.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSPART_BIS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSPICK_PAR.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSPICK_PAR.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSPINV.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSPINV.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSPINV_PAR.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSPINV_PAR.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSRECV.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSRECV.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSRECV_XDL.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSRECV_XDL.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSRETN_TRL.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSRETN_TRL.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSRQSS_RQL.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSRQSS_RQL.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSSTOR.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSSTOR.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSSTSR.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSSTSR.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/SSSTSR_TRL.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/SSSTSR_TRL.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/WSEMPS.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/WSEMPS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/WSFLTK.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/WSFLTK.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/WSJOBS_PAR.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/WSJOBS_PAR.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomDataSpies/WSMATL_PAR.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomDataSpies/WSMATL_PAR.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/AUI001.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/AUI001.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/SSCLAS.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/SSCLAS.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/SSRECV_XDL.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/SSRECV_XDL.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUDSPY.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUDSPY.sql "$LANGUAGECODE"


echo ----------------------------------
echo Deploying CustomGrids/WUJOBS.sql
echo ----------------------------------
echo exit | sqlplus "$DBUSERNAME"/"$DBPASSWORD"@"$DBHOST" @CustomGrids/WUJOBS.sql "$LANGUAGECODE"


echo ----------------------------------
echo DONE!
echo ----------------------------------
exit

#stty $stty_orig